﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Ribbon;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace QuickAccessTest
{
    /// <summary>
    /// Interaction logic for FPSRibbon.xaml
    /// </summary>
    public partial class FPSRibbon : UserControl
    {
        public FPSRibbon()
        {
            InitializeComponent();

            DataContextChanged += FPSRibbon_DataContextChanged;
            Loaded += new RoutedEventHandler(FPSRibbon_Loaded);
            Unloaded += new RoutedEventHandler(FPSRibbon_Unloaded);

            // Initially disable the buttons.
            btnRecordPreviousPage.IsEnabled = false;
            btnRecordPrevious.IsEnabled = false;
            btnRecordNext.IsEnabled = false;
            btnRecordNextPage.IsEnabled = false;
        }

        void FPSRibbon_Loaded(object sender, RoutedEventArgs e)
        {

        }

        void FPSRibbon_Unloaded(object sender, RoutedEventArgs e)
        {

        }

        private void FPSRibbon_DataContextChanged(object sender, DependencyPropertyChangedEventArgs e)
        {
            ListCollectionView oldView = e.OldValue as ListCollectionView;
            if (oldView != null)
            {
                oldView.CurrentChanged -= View_CurrentChanged;
            }

            ListCollectionView newView = e.NewValue as ListCollectionView;
            if (newView != null)
            {
                newView.CurrentChanged += View_CurrentChanged;
            }
        }

        private void View_CurrentChanged(object sender, EventArgs e)
        {
            ListCollectionView view = (ListCollectionView)sender;
            btnRecordPreviousPage.IsEnabled = false;
            btnRecordPrevious.IsEnabled = view.CurrentPosition != 0;
            btnRecordNext.IsEnabled = view.CurrentPosition != view.Count - 1;
            btnRecordNextPage.IsEnabled = false;
        }
    }
}

